<?php

namespace Planaday\Html\Parsers\NodeParsers;

use DOMNode;
use Planaday\Html\Nodes\NodeData;
use Planaday\Html\Nodes\ParserNode;

interface NodeParser {

	public function setNodeData(NodeData $nodeData): void;
	public function modifyNode(DomNode&ParserNode $node): void;

}